<?php 

class Demissoes{

    public $nome;
    public $motivo;
    public $data_demissao;
    public $valor;

    public function Demitir(){
       global $database;

       if(isset($_POST['demitir'])){

        $this->nome = $_POST['nome'];
        $this->motivo = $_POST['motivo'];
        $this->data_demissao = $_POST['data_demissao'];
        $this->valor = $_POST['valor'];

        $myJob = $database->query("INSERT INTO demissoes(nome,motivo,data_demissao,valor)
        VALUES('$this->nome','$this->motivo','$this->data_demissao','$this->valor')");
        
        if($myJob){

            $update = $database->query("UPDATE funcionarios SET status='Inactivo' WHERE nome='$this->nome'");
            $_SESSION['status'] = "Demitido com sucesso";
            $_SESSION['status_code'] = "success";
            echo "<script>window.open('demissoes.php','_self')</script>";
                
                
            }else{
            $_SESSION['status'] = "Ocorreu um erro";
            $_SESSION['status_code'] = "error";
            echo "<script>window.open('demissoes.php','_self')</script>";
            }

       }
    }
}

$demitir = new Demissoes();
?>